/*
 * Definitions for MacDingbats codepage tests
 *
 * Copyright (C) 2008-2024, Joachim Metz <joachim.metz@gmail.com>
 *
 * Refer to AUTHORS for acknowledgements.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#if !defined( _UNA_TEST_CODEPAGE_MAC_DINGBATS_H )
#define _UNA_TEST_CODEPAGE_MAC_DINGBATS_H

#include <common.h>
#include <types.h>

#include "una_test_types.h"

#if defined( __cplusplus )
extern "C" {
#endif

una_test_byte_stream_to_unicode_t una_test_codepage_mac_dingbats_byte_stream_to_unicode[ 235 ] = {
	{ { 0x00 }, 1, 0x0000, 0 },
	{ { 0x01 }, 1, 0x0001, 0 },
	{ { 0x02 }, 1, 0x0002, 0 },
	{ { 0x03 }, 1, 0x0003, 0 },
	{ { 0x04 }, 1, 0x0004, 0 },
	{ { 0x05 }, 1, 0x0005, 0 },
	{ { 0x06 }, 1, 0x0006, 0 },
	{ { 0x07 }, 1, 0x0007, 0 },
	{ { 0x08 }, 1, 0x0008, 0 },
	{ { 0x09 }, 1, 0x0009, 0 },
	{ { 0x0a }, 1, 0x000a, 0 },
	{ { 0x0b }, 1, 0x000b, 0 },
	{ { 0x0c }, 1, 0x000c, 0 },
	{ { 0x0d }, 1, 0x000d, 0 },
	{ { 0x0e }, 1, 0x000e, 0 },
	{ { 0x0f }, 1, 0x000f, 0 },
	{ { 0x10 }, 1, 0x0010, 0 },
	{ { 0x11 }, 1, 0x0011, 0 },
	{ { 0x12 }, 1, 0x0012, 0 },
	{ { 0x13 }, 1, 0x0013, 0 },
	{ { 0x14 }, 1, 0x0014, 0 },
	{ { 0x15 }, 1, 0x0015, 0 },
	{ { 0x16 }, 1, 0x0016, 0 },
	{ { 0x17 }, 1, 0x0017, 0 },
	{ { 0x18 }, 1, 0x0018, 0 },
	{ { 0x19 }, 1, 0x0019, 0 },
	{ { 0x1a }, 1, 0x001a, 0 },
	{ { 0x1b }, 1, 0x001b, 0 },
	{ { 0x1c }, 1, 0x001c, 0 },
	{ { 0x1d }, 1, 0x001d, 0 },
	{ { 0x1e }, 1, 0x001e, 0 },
	{ { 0x1f }, 1, 0x001f, 0 },
	{ { 0x20 }, 1, 0x0020, 0 },
	{ { 0x21 }, 1, 0x2701, 0 },
	{ { 0x22 }, 1, 0x2702, 0 },
	{ { 0x23 }, 1, 0x2703, 0 },
	{ { 0x24 }, 1, 0x2704, 0 },
	{ { 0x25 }, 1, 0x260e, 0 },
	{ { 0x26 }, 1, 0x2706, 0 },
	{ { 0x27 }, 1, 0x2707, 0 },
	{ { 0x28 }, 1, 0x2708, 0 },
	{ { 0x29 }, 1, 0x2709, 0 },
	{ { 0x2a }, 1, 0x261b, 0 },
	{ { 0x2b }, 1, 0x261e, 0 },
	{ { 0x2c }, 1, 0x270c, 0 },
	{ { 0x2d }, 1, 0x270d, 0 },
	{ { 0x2e }, 1, 0x270e, 0 },
	{ { 0x2f }, 1, 0x270f, 0 },
	{ { 0x30 }, 1, 0x2710, 0 },
	{ { 0x31 }, 1, 0x2711, 0 },
	{ { 0x32 }, 1, 0x2712, 0 },
	{ { 0x33 }, 1, 0x2713, 0 },
	{ { 0x34 }, 1, 0x2714, 0 },
	{ { 0x35 }, 1, 0x2715, 0 },
	{ { 0x36 }, 1, 0x2716, 0 },
	{ { 0x37 }, 1, 0x2717, 0 },
	{ { 0x38 }, 1, 0x2718, 0 },
	{ { 0x39 }, 1, 0x2719, 0 },
	{ { 0x3a }, 1, 0x271a, 0 },
	{ { 0x3b }, 1, 0x271b, 0 },
	{ { 0x3c }, 1, 0x271c, 0 },
	{ { 0x3d }, 1, 0x271d, 0 },
	{ { 0x3e }, 1, 0x271e, 0 },
	{ { 0x3f }, 1, 0x271f, 0 },
	{ { 0x40 }, 1, 0x2720, 0 },
	{ { 0x41 }, 1, 0x2721, 0 },
	{ { 0x42 }, 1, 0x2722, 0 },
	{ { 0x43 }, 1, 0x2723, 0 },
	{ { 0x44 }, 1, 0x2724, 0 },
	{ { 0x45 }, 1, 0x2725, 0 },
	{ { 0x46 }, 1, 0x2726, 0 },
	{ { 0x47 }, 1, 0x2727, 0 },
	{ { 0x48 }, 1, 0x2605, 0 },
	{ { 0x49 }, 1, 0x2729, 0 },
	{ { 0x4a }, 1, 0x272a, 0 },
	{ { 0x4b }, 1, 0x272b, 0 },
	{ { 0x4c }, 1, 0x272c, 0 },
	{ { 0x4d }, 1, 0x272d, 0 },
	{ { 0x4e }, 1, 0x272e, 0 },
	{ { 0x4f }, 1, 0x272f, 0 },
	{ { 0x50 }, 1, 0x2730, 0 },
	{ { 0x51 }, 1, 0x2731, 0 },
	{ { 0x52 }, 1, 0x2732, 0 },
	{ { 0x53 }, 1, 0x2733, 0 },
	{ { 0x54 }, 1, 0x2734, 0 },
	{ { 0x55 }, 1, 0x2735, 0 },
	{ { 0x56 }, 1, 0x2736, 0 },
	{ { 0x57 }, 1, 0x2737, 0 },
	{ { 0x58 }, 1, 0x2738, 0 },
	{ { 0x59 }, 1, 0x2739, 0 },
	{ { 0x5a }, 1, 0x273a, 0 },
	{ { 0x5b }, 1, 0x273b, 0 },
	{ { 0x5c }, 1, 0x273c, 0 },
	{ { 0x5d }, 1, 0x273d, 0 },
	{ { 0x5e }, 1, 0x273e, 0 },
	{ { 0x5f }, 1, 0x273f, 0 },
	{ { 0x60 }, 1, 0x2740, 0 },
	{ { 0x61 }, 1, 0x2741, 0 },
	{ { 0x62 }, 1, 0x2742, 0 },
	{ { 0x63 }, 1, 0x2743, 0 },
	{ { 0x64 }, 1, 0x2744, 0 },
	{ { 0x65 }, 1, 0x2745, 0 },
	{ { 0x66 }, 1, 0x2746, 0 },
	{ { 0x67 }, 1, 0x2747, 0 },
	{ { 0x68 }, 1, 0x2748, 0 },
	{ { 0x69 }, 1, 0x2749, 0 },
	{ { 0x6a }, 1, 0x274a, 0 },
	{ { 0x6b }, 1, 0x274b, 0 },
	{ { 0x6c }, 1, 0x25cf, 0 },
	{ { 0x6d }, 1, 0x274d, 0 },
	{ { 0x6e }, 1, 0x25a0, 0 },
	{ { 0x6f }, 1, 0x274f, 0 },
	{ { 0x70 }, 1, 0x2750, 0 },
	{ { 0x71 }, 1, 0x2751, 0 },
	{ { 0x72 }, 1, 0x2752, 0 },
	{ { 0x73 }, 1, 0x25b2, 0 },
	{ { 0x74 }, 1, 0x25bc, 0 },
	{ { 0x75 }, 1, 0x25c6, 0 },
	{ { 0x76 }, 1, 0x2756, 0 },
	{ { 0x77 }, 1, 0x25d7, 0 },
	{ { 0x78 }, 1, 0x2758, 0 },
	{ { 0x79 }, 1, 0x2759, 0 },
	{ { 0x7a }, 1, 0x275a, 0 },
	{ { 0x7b }, 1, 0x275b, 0 },
	{ { 0x7c }, 1, 0x275c, 0 },
	{ { 0x7d }, 1, 0x275d, 0 },
	{ { 0x7e }, 1, 0x275e, 0 },
	{ { 0x7f }, 1, 0x007f, 0 },
	{ { 0x80 }, 1, 0x2768, 0 },
	{ { 0x81 }, 1, 0x2769, 0 },
	{ { 0x82 }, 1, 0x276a, 0 },
	{ { 0x83 }, 1, 0x276b, 0 },
	{ { 0x84 }, 1, 0x276c, 0 },
	{ { 0x85 }, 1, 0x276d, 0 },
	{ { 0x86 }, 1, 0x276e, 0 },
	{ { 0x87 }, 1, 0x276f, 0 },
	{ { 0x88 }, 1, 0x2770, 0 },
	{ { 0x89 }, 1, 0x2771, 0 },
	{ { 0x8a }, 1, 0x2772, 0 },
	{ { 0x8b }, 1, 0x2773, 0 },
	{ { 0x8c }, 1, 0x2774, 0 },
	{ { 0x8d }, 1, 0x2775, 0 },

	{ { 0xa1 }, 1, 0x2761, 0 },
	{ { 0xa2 }, 1, 0x2762, 0 },
	{ { 0xa3 }, 1, 0x2763, 0 },
	{ { 0xa4 }, 1, 0x2764, 0 },
	{ { 0xa5 }, 1, 0x2765, 0 },
	{ { 0xa6 }, 1, 0x2766, 0 },
	{ { 0xa7 }, 1, 0x2767, 0 },
	{ { 0xa8 }, 1, 0x2663, 0 },
	{ { 0xa9 }, 1, 0x2666, 0 },
	{ { 0xaa }, 1, 0x2665, 0 },
	{ { 0xab }, 1, 0x2660, 0 },
	{ { 0xac }, 1, 0x2460, 0 },
	{ { 0xad }, 1, 0x2461, 0 },
	{ { 0xae }, 1, 0x2462, 0 },
	{ { 0xaf }, 1, 0x2463, 0 },
	{ { 0xb0 }, 1, 0x2464, 0 },
	{ { 0xb1 }, 1, 0x2465, 0 },
	{ { 0xb2 }, 1, 0x2466, 0 },
	{ { 0xb3 }, 1, 0x2467, 0 },
	{ { 0xb4 }, 1, 0x2468, 0 },
	{ { 0xb5 }, 1, 0x2469, 0 },
	{ { 0xb6 }, 1, 0x2776, 0 },
	{ { 0xb7 }, 1, 0x2777, 0 },
	{ { 0xb8 }, 1, 0x2778, 0 },
	{ { 0xb9 }, 1, 0x2779, 0 },
	{ { 0xba }, 1, 0x277a, 0 },
	{ { 0xbb }, 1, 0x277b, 0 },
	{ { 0xbc }, 1, 0x277c, 0 },
	{ { 0xbd }, 1, 0x277d, 0 },
	{ { 0xbe }, 1, 0x277e, 0 },
	{ { 0xbf }, 1, 0x277f, 0 },
	{ { 0xc0 }, 1, 0x2780, 0 },
	{ { 0xc1 }, 1, 0x2781, 0 },
	{ { 0xc2 }, 1, 0x2782, 0 },
	{ { 0xc3 }, 1, 0x2783, 0 },
	{ { 0xc4 }, 1, 0x2784, 0 },
	{ { 0xc5 }, 1, 0x2785, 0 },
	{ { 0xc6 }, 1, 0x2786, 0 },
	{ { 0xc7 }, 1, 0x2787, 0 },
	{ { 0xc8 }, 1, 0x2788, 0 },
	{ { 0xc9 }, 1, 0x2789, 0 },
	{ { 0xca }, 1, 0x278a, 0 },
	{ { 0xcb }, 1, 0x278b, 0 },
	{ { 0xcc }, 1, 0x278c, 0 },
	{ { 0xcd }, 1, 0x278d, 0 },
	{ { 0xce }, 1, 0x278e, 0 },
	{ { 0xcf }, 1, 0x278f, 0 },
	{ { 0xd0 }, 1, 0x2790, 0 },
	{ { 0xd1 }, 1, 0x2791, 0 },
	{ { 0xd2 }, 1, 0x2792, 0 },
	{ { 0xd3 }, 1, 0x2793, 0 },
	{ { 0xd4 }, 1, 0x2794, 0 },
	{ { 0xd5 }, 1, 0x2192, 0 },
	{ { 0xd6 }, 1, 0x2194, 0 },
	{ { 0xd7 }, 1, 0x2195, 0 },
	{ { 0xd8 }, 1, 0x2798, 0 },
	{ { 0xd9 }, 1, 0x2799, 0 },
	{ { 0xda }, 1, 0x279a, 0 },
	{ { 0xdb }, 1, 0x279b, 0 },
	{ { 0xdc }, 1, 0x279c, 0 },
	{ { 0xdd }, 1, 0x279d, 0 },
	{ { 0xde }, 1, 0x279e, 0 },
	{ { 0xdf }, 1, 0x279f, 0 },
	{ { 0xe0 }, 1, 0x27a0, 0 },
	{ { 0xe1 }, 1, 0x27a1, 0 },
	{ { 0xe2 }, 1, 0x27a2, 0 },
	{ { 0xe3 }, 1, 0x27a3, 0 },
	{ { 0xe4 }, 1, 0x27a4, 0 },
	{ { 0xe5 }, 1, 0x27a5, 0 },
	{ { 0xe6 }, 1, 0x27a6, 0 },
	{ { 0xe7 }, 1, 0x27a7, 0 },
	{ { 0xe8 }, 1, 0x27a8, 0 },
	{ { 0xe9 }, 1, 0x27a9, 0 },
	{ { 0xea }, 1, 0x27aa, 0 },
	{ { 0xeb }, 1, 0x27ab, 0 },
	{ { 0xec }, 1, 0x27ac, 0 },
	{ { 0xed }, 1, 0x27ad, 0 },
	{ { 0xee }, 1, 0x27ae, 0 },
	{ { 0xef }, 1, 0x27af, 0 },

	{ { 0xf1 }, 1, 0x27b1, 0 },
	{ { 0xf2 }, 1, 0x27b2, 0 },
	{ { 0xf3 }, 1, 0x27b3, 0 },
	{ { 0xf4 }, 1, 0x27b4, 0 },
	{ { 0xf5 }, 1, 0x27b5, 0 },
	{ { 0xf6 }, 1, 0x27b6, 0 },
	{ { 0xf7 }, 1, 0x27b7, 0 },
	{ { 0xf8 }, 1, 0x27b8, 0 },
	{ { 0xf9 }, 1, 0x27b9, 0 },
	{ { 0xfa }, 1, 0x27ba, 0 },
	{ { 0xfb }, 1, 0x27bb, 0 },
	{ { 0xfc }, 1, 0x27bc, 0 },
	{ { 0xfd }, 1, 0x27bd, 0 },
	{ { 0xfe }, 1, 0x27be, 0 }
};

#if defined( __cplusplus )
}
#endif

#endif /* !defined( _UNA_TEST_CODEPAGE_MAC_DINGBATS_H ) */

