/*
 * Definitions for MacSymbol codepage tests
 *
 * Copyright (C) 2008-2024, Joachim Metz <joachim.metz@gmail.com>
 *
 * Refer to AUTHORS for acknowledgements.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#if !defined( _UNA_TEST_CODEPAGE_MAC_SYMBOL_H )
#define _UNA_TEST_CODEPAGE_MAC_SYMBOL_H

#include <common.h>
#include <types.h>

#include "una_test_types.h"

#if defined( __cplusplus )
extern "C" {
#endif

una_test_byte_stream_to_unicode_t una_test_codepage_mac_symbol_byte_stream_to_unicode[ 223 ] = {
	{ { 0x00 }, 1, 0x0000, 0 },
	{ { 0x01 }, 1, 0x0001, 0 },
	{ { 0x02 }, 1, 0x0002, 0 },
	{ { 0x03 }, 1, 0x0003, 0 },
	{ { 0x04 }, 1, 0x0004, 0 },
	{ { 0x05 }, 1, 0x0005, 0 },
	{ { 0x06 }, 1, 0x0006, 0 },
	{ { 0x07 }, 1, 0x0007, 0 },
	{ { 0x08 }, 1, 0x0008, 0 },
	{ { 0x09 }, 1, 0x0009, 0 },
	{ { 0x0a }, 1, 0x000a, 0 },
	{ { 0x0b }, 1, 0x000b, 0 },
	{ { 0x0c }, 1, 0x000c, 0 },
	{ { 0x0d }, 1, 0x000d, 0 },
	{ { 0x0e }, 1, 0x000e, 0 },
	{ { 0x0f }, 1, 0x000f, 0 },
	{ { 0x10 }, 1, 0x0010, 0 },
	{ { 0x11 }, 1, 0x0011, 0 },
	{ { 0x12 }, 1, 0x0012, 0 },
	{ { 0x13 }, 1, 0x0013, 0 },
	{ { 0x14 }, 1, 0x0014, 0 },
	{ { 0x15 }, 1, 0x0015, 0 },
	{ { 0x16 }, 1, 0x0016, 0 },
	{ { 0x17 }, 1, 0x0017, 0 },
	{ { 0x18 }, 1, 0x0018, 0 },
	{ { 0x19 }, 1, 0x0019, 0 },
	{ { 0x1a }, 1, 0x001a, 0 },
	{ { 0x1b }, 1, 0x001b, 0 },
	{ { 0x1c }, 1, 0x001c, 0 },
	{ { 0x1d }, 1, 0x001d, 0 },
	{ { 0x1e }, 1, 0x001e, 0 },
	{ { 0x1f }, 1, 0x001f, 0 },
	{ { 0x20 }, 1, 0x0020, 0 },
	{ { 0x21 }, 1, 0x0021, 0 },
	{ { 0x22 }, 1, 0x2200, 0 },
	{ { 0x23 }, 1, 0x0023, 0 },
	{ { 0x24 }, 1, 0x2203, 0 },
	{ { 0x25 }, 1, 0x0025, 0 },
	{ { 0x26 }, 1, 0x0026, 0 },
	{ { 0x27 }, 1, 0x220d, 0 },
	{ { 0x28 }, 1, 0x0028, 0 },
	{ { 0x29 }, 1, 0x0029, 0 },
	{ { 0x2a }, 1, 0x2217, 0 },
	{ { 0x2b }, 1, 0x002b, 0 },
	{ { 0x2c }, 1, 0x002c, 0 },
	{ { 0x2d }, 1, 0x2212, 0 },
	{ { 0x2e }, 1, 0x002e, 0 },
	{ { 0x2f }, 1, 0x002f, 0 },
	{ { 0x30 }, 1, 0x0030, 0 },
	{ { 0x31 }, 1, 0x0031, 0 },
	{ { 0x32 }, 1, 0x0032, 0 },
	{ { 0x33 }, 1, 0x0033, 0 },
	{ { 0x34 }, 1, 0x0034, 0 },
	{ { 0x35 }, 1, 0x0035, 0 },
	{ { 0x36 }, 1, 0x0036, 0 },
	{ { 0x37 }, 1, 0x0037, 0 },
	{ { 0x38 }, 1, 0x0038, 0 },
	{ { 0x39 }, 1, 0x0039, 0 },
	{ { 0x3a }, 1, 0x003a, 0 },
	{ { 0x3b }, 1, 0x003b, 0 },
	{ { 0x3c }, 1, 0x003c, 0 },
	{ { 0x3d }, 1, 0x003d, 0 },
	{ { 0x3e }, 1, 0x003e, 0 },
	{ { 0x3f }, 1, 0x003f, 0 },
	{ { 0x40 }, 1, 0x2245, 0 },
	{ { 0x41 }, 1, 0x0391, 0 },
	{ { 0x42 }, 1, 0x0392, 0 },
	{ { 0x43 }, 1, 0x03a7, 0 },
	{ { 0x44 }, 1, 0x0394, 0 },
	{ { 0x45 }, 1, 0x0395, 0 },
	{ { 0x46 }, 1, 0x03a6, 0 },
	{ { 0x47 }, 1, 0x0393, 0 },
	{ { 0x48 }, 1, 0x0397, 0 },
	{ { 0x49 }, 1, 0x0399, 0 },
	{ { 0x4a }, 1, 0x03d1, 0 },
	{ { 0x4b }, 1, 0x039a, 0 },
	{ { 0x4c }, 1, 0x039b, 0 },
	{ { 0x4d }, 1, 0x039c, 0 },
	{ { 0x4e }, 1, 0x039d, 0 },
	{ { 0x4f }, 1, 0x039f, 0 },
	{ { 0x50 }, 1, 0x03a0, 0 },
	{ { 0x51 }, 1, 0x0398, 0 },
	{ { 0x52 }, 1, 0x03a1, 0 },
	{ { 0x53 }, 1, 0x03a3, 0 },
	{ { 0x54 }, 1, 0x03a4, 0 },
	{ { 0x55 }, 1, 0x03a5, 0 },
	{ { 0x56 }, 1, 0x03c2, 0 },
	{ { 0x57 }, 1, 0x03a9, 0 },
	{ { 0x58 }, 1, 0x039e, 0 },
	{ { 0x59 }, 1, 0x03a8, 0 },
	{ { 0x5a }, 1, 0x0396, 0 },
	{ { 0x5b }, 1, 0x005b, 0 },
	{ { 0x5c }, 1, 0x2234, 0 },
	{ { 0x5d }, 1, 0x005d, 0 },
	{ { 0x5e }, 1, 0x22a5, 0 },
	{ { 0x5f }, 1, 0x005f, 0 },
	{ { 0x60 }, 1, 0xf8e5, 0 },
	{ { 0x61 }, 1, 0x03b1, 0 },
	{ { 0x62 }, 1, 0x03b2, 0 },
	{ { 0x63 }, 1, 0x03c7, 0 },
	{ { 0x64 }, 1, 0x03b4, 0 },
	{ { 0x65 }, 1, 0x03b5, 0 },
	{ { 0x66 }, 1, 0x03c6, 0 },
	{ { 0x67 }, 1, 0x03b3, 0 },
	{ { 0x68 }, 1, 0x03b7, 0 },
	{ { 0x69 }, 1, 0x03b9, 0 },
	{ { 0x6a }, 1, 0x03d5, 0 },
	{ { 0x6b }, 1, 0x03ba, 0 },
	{ { 0x6c }, 1, 0x03bb, 0 },
	{ { 0x6d }, 1, 0x03bc, 0 },
	{ { 0x6e }, 1, 0x03bd, 0 },
	{ { 0x6f }, 1, 0x03bf, 0 },
	{ { 0x70 }, 1, 0x03c0, 0 },
	{ { 0x71 }, 1, 0x03b8, 0 },
	{ { 0x72 }, 1, 0x03c1, 0 },
	{ { 0x73 }, 1, 0x03c3, 0 },
	{ { 0x74 }, 1, 0x03c4, 0 },
	{ { 0x75 }, 1, 0x03c5, 0 },
	{ { 0x76 }, 1, 0x03d6, 0 },
	{ { 0x77 }, 1, 0x03c9, 0 },
	{ { 0x78 }, 1, 0x03be, 0 },
	{ { 0x79 }, 1, 0x03c8, 0 },
	{ { 0x7a }, 1, 0x03b6, 0 },
	{ { 0x7b }, 1, 0x007b, 0 },
	{ { 0x7c }, 1, 0x007c, 0 },
	{ { 0x7d }, 1, 0x007d, 0 },
	{ { 0x7e }, 1, 0x223c, 0 },
	{ { 0x7f }, 1, 0x007f, 0 },

	{ { 0xa0 }, 1, 0x20ac, 0 },
	{ { 0xa1 }, 1, 0x03d2, 0 },
	{ { 0xa2 }, 1, 0x2032, 0 },
	{ { 0xa3 }, 1, 0x2264, 0 },
	{ { 0xa4 }, 1, 0x2044, 0 },
	{ { 0xa5 }, 1, 0x221e, 0 },
	{ { 0xa6 }, 1, 0x0192, 0 },
	{ { 0xa7 }, 1, 0x2663, 0 },
	{ { 0xa8 }, 1, 0x2666, 0 },
	{ { 0xa9 }, 1, 0x2665, 0 },
	{ { 0xaa }, 1, 0x2660, 0 },
	{ { 0xab }, 1, 0x2194, 0 },
	{ { 0xac }, 1, 0x2190, 0 },
	{ { 0xad }, 1, 0x2191, 0 },
	{ { 0xae }, 1, 0x2192, 0 },
	{ { 0xaf }, 1, 0x2193, 0 },
	{ { 0xb0 }, 1, 0x00b0, 0 },
	{ { 0xb1 }, 1, 0x00b1, 0 },
	{ { 0xb2 }, 1, 0x2033, 0 },
	{ { 0xb3 }, 1, 0x2265, 0 },
	{ { 0xb4 }, 1, 0x00d7, 0 },
	{ { 0xb5 }, 1, 0x221d, 0 },
	{ { 0xb6 }, 1, 0x2202, 0 },
	{ { 0xb7 }, 1, 0x2022, 0 },
	{ { 0xb8 }, 1, 0x00f7, 0 },
	{ { 0xb9 }, 1, 0x2260, 0 },
	{ { 0xba }, 1, 0x2261, 0 },
	{ { 0xbb }, 1, 0x2248, 0 },
	{ { 0xbc }, 1, 0x2026, 0 },
	{ { 0xbd }, 1, 0x23d0, 0 },
	{ { 0xbe }, 1, 0x23af, 0 },
	{ { 0xbf }, 1, 0x21b5, 0 },
	{ { 0xc0 }, 1, 0x2135, 0 },
	{ { 0xc1 }, 1, 0x2111, 0 },
	{ { 0xc2 }, 1, 0x211c, 0 },
	{ { 0xc3 }, 1, 0x2118, 0 },
	{ { 0xc4 }, 1, 0x2297, 0 },
	{ { 0xc5 }, 1, 0x2295, 0 },
	{ { 0xc6 }, 1, 0x2205, 0 },
	{ { 0xc7 }, 1, 0x2229, 0 },
	{ { 0xc8 }, 1, 0x222a, 0 },
	{ { 0xc9 }, 1, 0x2283, 0 },
	{ { 0xca }, 1, 0x2287, 0 },
	{ { 0xcb }, 1, 0x2284, 0 },
	{ { 0xcc }, 1, 0x2282, 0 },
	{ { 0xcd }, 1, 0x2286, 0 },
	{ { 0xce }, 1, 0x2208, 0 },
	{ { 0xcf }, 1, 0x2209, 0 },
	{ { 0xd0 }, 1, 0x2220, 0 },
	{ { 0xd1 }, 1, 0x2207, 0 },
	{ { 0xd2 }, 1, 0x00ae, UNA_TEST_UNICODE_FLAG_NEEDS_SPECIAL_HANDLING },
	{ { 0xd3 }, 1, 0x00a9, UNA_TEST_UNICODE_FLAG_NEEDS_SPECIAL_HANDLING },
	{ { 0xd4 }, 1, 0x2122, UNA_TEST_UNICODE_FLAG_NEEDS_SPECIAL_HANDLING },
	{ { 0xd5 }, 1, 0x220f, 0 },
	{ { 0xd6 }, 1, 0x221a, 0 },
	{ { 0xd7 }, 1, 0x22c5, 0 },
	{ { 0xd8 }, 1, 0x00ac, 0 },
	{ { 0xd9 }, 1, 0x2227, 0 },
	{ { 0xda }, 1, 0x2228, 0 },
	{ { 0xdb }, 1, 0x21d4, 0 },
	{ { 0xdc }, 1, 0x21d0, 0 },
	{ { 0xdd }, 1, 0x21d1, 0 },
	{ { 0xde }, 1, 0x21d2, 0 },
	{ { 0xdf }, 1, 0x21d3, 0 },
	{ { 0xe0 }, 1, 0x25ca, 0 },
	{ { 0xe1 }, 1, 0x3008, 0 },
	{ { 0xe2 }, 1, 0x00ae, UNA_TEST_UNICODE_FLAG_NEEDS_SPECIAL_HANDLING },
	{ { 0xe3 }, 1, 0x00a9, UNA_TEST_UNICODE_FLAG_NEEDS_SPECIAL_HANDLING },
	{ { 0xe4 }, 1, 0x2122, UNA_TEST_UNICODE_FLAG_NEEDS_SPECIAL_HANDLING },
	{ { 0xe5 }, 1, 0x2211, 0 },
	{ { 0xe6 }, 1, 0x239b, 0 },
	{ { 0xe7 }, 1, 0x239c, 0 },
	{ { 0xe8 }, 1, 0x239d, 0 },
	{ { 0xe9 }, 1, 0x23a1, 0 },
	{ { 0xea }, 1, 0x23a2, 0 },
	{ { 0xeb }, 1, 0x23a3, 0 },
	{ { 0xec }, 1, 0x23a7, 0 },
	{ { 0xed }, 1, 0x23a8, 0 },
	{ { 0xee }, 1, 0x23a9, 0 },
	{ { 0xef }, 1, 0x23aa, 0 },
	{ { 0xf0 }, 1, 0xf8ff, 0 },
	{ { 0xf1 }, 1, 0x3009, 0 },
	{ { 0xf2 }, 1, 0x222b, 0 },
	{ { 0xf3 }, 1, 0x2320, 0 },
	{ { 0xf4 }, 1, 0x23ae, 0 },
	{ { 0xf5 }, 1, 0x2321, 0 },
	{ { 0xf6 }, 1, 0x239e, 0 },
	{ { 0xf7 }, 1, 0x239f, 0 },
	{ { 0xf8 }, 1, 0x23a0, 0 },
	{ { 0xf9 }, 1, 0x23a4, 0 },
	{ { 0xfa }, 1, 0x23a5, 0 },
	{ { 0xfb }, 1, 0x23a6, 0 },
	{ { 0xfc }, 1, 0x23ab, 0 },
	{ { 0xfd }, 1, 0x23ac, 0 },
	{ { 0xfe }, 1, 0x23ad, 0 }
};

#if defined( __cplusplus )
}
#endif

#endif /* !defined( _UNA_TEST_CODEPAGE_MAC_SYMBOL_H ) */

